Package net.rubygrapefruit.platform.internal

# Class FunctionResult

java.lang.Object
net.rubygrapefruit.platform.internal.FunctionResult

public class FunctionResult extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`FunctionResult.Failure`

## Constructor Summary

Constructors
Constructor
Description
`FunctionResult()`

## Method Summary

Modifier and Type
Method
Description
`FunctionResult.Failure`
`getFailure()`
`String`
`getMessage()`
`boolean`
`isFailed()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FunctionResult

public FunctionResult()

## Method Details

### isFailed

public boolean isFailed()

### getFailure

public FunctionResult.Failure getFailure()

### getMessage

public String getMessage()